net.minecraft.network.play.server

## Class S21PacketChunkData

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S21PacketChunkData

-     public class S21PacketChunkData
      extends Packet

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `S21PacketChunkData.Extracted`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `S21PacketChunkData()`
    `S21PacketChunkData(Chunk p_i45196_1_, boolean p_i45196_2_, int p_i45196_3_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static S21PacketChunkData.Extracted` | `func_149269_a(Chunk p_149269_0_, boolean p_149269_1_, int p_149269_2_)`
    `int` | `func_149270_h()`
    `int` | `func_149271_f()`
    `byte[]` | `func_149272_d()`
    `int` | `func_149273_e()`
    `boolean` | `func_149274_i()`
    `static int` | `func_149275_c()`
    `int` | `func_149276_g()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149277_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `java.lang.String` | `serialize()`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S21PacketChunkData

          public S21PacketChunkData()

    - #### S21PacketChunkData

          public S21PacketChunkData(Chunk p_i45196_1_,
                            boolean p_i45196_2_,
                            int p_i45196_3_)

  - ### Method Detail

    - #### func_149275_c

          public static int func_149275_c()

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149277_1_)

    - #### serialize

          public java.lang.String serialize()

      Overrides:
        `serialize` in class `Packet`

    - #### func_149272_d

          public byte[] func_149272_d()

    - #### func_149269_a

          public static S21PacketChunkData.Extracted func_149269_a(Chunk p_149269_0_,
                                                   boolean p_149269_1_,
                                                   int p_149269_2_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`

    - #### func_149273_e

          public int func_149273_e()

    - #### func_149271_f

          public int func_149271_f()

    - #### func_149276_g

          public int func_149276_g()

    - #### func_149270_h

          public int func_149270_h()

    - #### func_149274_i

          public boolean func_149274_i()